using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using UUN;

public partial class Admin_NeiRong_DaoChuLanMu : System.Web.UI.Page
{
    protected String 栏目类型;
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("网站后台", "网站后台", "网站后台", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        switch (Request.QueryString["ti"])
        {
            case "_1":
                栏目类型 = "文章";
                break;
            case "_2":
                栏目类型 = "图片";
                break;
            case "_3":
                栏目类型 = "软件";
                break;
            case "_4":
                栏目类型 = "音乐";
                break;
            case "_5":
                栏目类型 = "视频";
                break;
        }

        if (Request.QueryString["Act"] == "En")
        {
            访问.验证权限("9");

            DataSet 数据 = new DataSet();
            SqlCommand 语句 = new SqlCommand("SELECT * FROM [" + 程序.数据表前缀 + "内容_栏目] WHERE [栏目类型]=@栏目类型", 访问.连接);
            语句.Parameters.Add("@栏目类型", SqlDbType.NVarChar).Value = 栏目类型;
            SqlDataAdapter 填充 = new SqlDataAdapter(语句);
            填充.Fill(数据, "数据");

            常用.保存对象(数据, Server.MapPath("~/Temp/" + 栏目类型 + "栏目.rar"));

            Label1.Text = "栏目导出成功";

            访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
            管理记录.记录("导出" + 栏目类型 + "栏目", 访问.用户["昵称"].ToString());
        }
    }
}
